---
title: Checkbox
description: A control that allows the user to toggle between checked and not checked.
author:
  name: imskyleen
  url: https://github.com/imskyleen
---

<ComponentPreview name="radix-checkbox-demo" />

## Installation

<ComponentInstallation name="radix-checkbox" />

## Usage

```tsx
<Checkbox />
```

## Props

<div className="flex flex-row gap-x-3">
  <ExternalLink
    href="https://www.radix-ui.com/primitives/docs/components/checkbox"
    text="Docs"
  />
  <ExternalLink
    href="https://www.radix-ui.com/primitives/docs/components/checkbox#api-reference"
    text="API Reference"
  />
</div>

## Credits

- We use [Radix UI](https://www.radix-ui.com/primitives/docs/components/checkbox) for the checkbox component.
- We take our inspiration from [Shadcn UI](https://ui.shadcn.com/docs/components/checkbox) for the checkbox style.
